"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require('fs');
const os = require('os');
const path = require('path');
const Mixpanel = require('mixpanel');
const mixpanel_token = 'c73e2685df454183c0f97fbf2052d827';
var mixpanel;
var credentials;
const botonic_home_path = path.join(os.homedir(), '.botonic');
function readCredentials() {
    try {
        credentials = JSON.parse(fs.readFileSync(path.join(os.homedir(), '.botonic', 'credentials.json')));
    }
    catch (e) { }
}
readCredentials();
if (!process.env.BOTONIC_DISABLE_MIXPANEL)
    mixpanel = Mixpanel.init(mixpanel_token, {
        protocol: 'https'
    });
function track(event) {
    if (!process.env.BOTONIC_DISABLE_MIXPANEL && mixpanel && credentials && credentials.mixpanel)
        mixpanel.track(event, { distinct_id: credentials.mixpanel ? credentials.mixpanel.distinct_id : null });
}
exports.track = track;
function alias(email) {
    if (!process.env.BOTONIC_DISABLE_MIXPANEL && mixpanel && credentials && credentials.mixpanel && email) {
        mixpanel.alias(credentials.mixpanel.distinct_id, email, (e) => { console.log(e); });
        credentials.mixpanel.distinct_id = email;
        fs.writeFileSync(path.join(botonic_home_path, 'credentials.json'), JSON.stringify(credentials));
    }
}
exports.alias = alias;
function botonicPostInstall() {
    if (!process.env.BOTONIC_DISABLE_MIXPANEL) {
        let distinct_id = Math.round(Math.random() * 100000000);
        if (!fs.existsSync(botonic_home_path))
            fs.mkdirSync(botonic_home_path);
        fs.writeFileSync(path.join(botonic_home_path, 'credentials.json'), JSON.stringify({ mixpanel: { distinct_id } }));
        readCredentials();
        track('botonic_install');
    }
}
exports.botonicPostInstall = botonicPostInstall;
